com.independentsoft.exchange

## Class Message

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Message

- Direct Known Subclasses:
    MeetingMessage

      public class Message
      extends Item

  Represents a Microsoft Exchange e-mail message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()` Initializes a new instance of the Message class.
    `Message(MimeContent mimeContent)` Initializes a new instance of the Message class.
    `Message(java.lang.String subject)` Initializes a new instance of the Message class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Mailbox>` | `getBccRecipients()` Gets a collection of recipients to receive a blind carbon copy (Bcc) of an e-mail message.
    `java.util.List<Mailbox>` | `getCcRecipients()` Gets a collection of recipients that will receive a copy of the message.
    `java.lang.String` | `getConversationIndex()` Gets a binary ID that represents the thread to which this message belongs.
    `java.lang.String` | `getConversationTopic()` Gets the conversation identifier.
    `java.util.Date` | `getDeferredDeliveryTime()` Gets the date and time the mail message is to be delivered.
    `java.util.Date` | `getDeferredSendTime()` Gets the deferred send time.
    `java.lang.String` | `getDisplayCc()` Gets the display string that is used for the contents of the CC line.
    `java.lang.String` | `getDisplayTo()` Gets the display string that is used for the contents of the To box.
    `java.util.Date` | `getDueDate()` Gets the date and time when the event occurs.
    `java.util.Date` | `getFlagCompleteTime()` Gets the flag complete time for the mail message.
    `FlagIcon` | `getFlagIcon()` Gets the flag icon for the mail message.
    `java.lang.String` | `getFlagRequest()` Gets the requested action for an e-mail message.
    `FlagStatus` | `getFlagStatus()` Gets the flag status for the mail message.
    `Mailbox` | `getFrom()` Gets the addressee from whom the message was sent.
    `boolean` | `getHideAttachments()` Gets the hide attachments.
    `java.lang.String` | `getInReplyTo()` Gets the identifier of the item to which this item is a reply.
    `java.lang.String` | `getInReplyToId()` Gets the message id of the message for which this message is a reply.
    `java.util.List<InternetMessageHeader>` | `getInternetMessageHeaders()` Gets the collection of all Internet message headers that are contained within an item in a mailbox.
    `java.lang.String` | `getInternetMessageId()` Gets the Internet message identifier of an item.
    `LastVerbExecuted` | `getLastVerbExecuted()` Gets the last action, such as reply or forward, that was taken on the message so that the client can display the appropriate icon.
    `java.util.List<MessageFlag>` | `getMessageFlags()` Gets a bitmask of flags indicating the origin and current state of a message.
    `Mailbox` | `getReceivedBy()` Gets the delegate in a delegate access scenario.
    `Mailbox` | `getReceivedRepresenting()` Gets the principal in a delegate access scenario.
    `java.util.Date` | `getReceivedTime()` Gets the date and time that an item in a mailbox was received.
    `java.lang.String` | `getReferences()` Gets the delegate in a delegate access scenario.
    `java.util.List<Mailbox>` | `getReplyTo()` Gets a set of addresses to which replies should be sent.
    `java.util.List<ResponseItem>` | `getResponseItems()` Gets a collection of all the response objects that are associated with an item in the Exchange store.
    `Mailbox` | `getSender()` Gets the sender of an item.
    `java.util.Date` | `getSentTime()` Gets the date and time that an item in a mailbox was sent.
    `java.util.Date` | `getStartDate()` Gets the start date.
    `java.util.List<Mailbox>` | `getToRecipients()` Gets a set of recipients of a message.
    `java.util.List<java.lang.String>` | `getVotingOptions()` Gets a delimited string containing the voting options for the mail message.
    `java.lang.String` | `getVotingResponse()` Gets the voting response for the mail message.
    `boolean` | `isDeliveryReceiptRequested()` Gets whether the sender of an item requests a delivery receipt.
    `boolean` | `isDraft()` Gets whether an item has not yet been sent.
    `boolean` | `isFromMe()` Gets whether a user sent an item to him or herself.
    `boolean` | `isRead()` Gets whether a message has been read.
    `boolean` | `isReadReceiptRequested()` Gets whether the sender of an item requests a read receipt.
    `boolean` | `isResend()` Gets whether the item had previously been sent.
    `boolean` | `isResponseRequested()` Gets whether a response to an e-mail message is requested.
    `boolean` | `isSubmitted()` Gets whether an item has been submitted to the Outbox default folder.
    `boolean` | `isUnmodified()` Gets whether the item has been modified.
    `void` | `setDeferredDeliveryTime(java.util.Date deferredDeliveryTime)` Sets the date and time the mail message is to be delivered.
    `void` | `setDeferredSendTime(java.util.Date deferredSendTime)` Sets the deferred send time.
    `void` | `setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)` Sets whether the sender of an item requests a delivery receipt.
    `void` | `setDueDate(java.util.Date dueDate)` Sets the date and time when the event occurs.
    `void` | `setFlagCompleteTime(java.util.Date flagCompleteTime)` Sets the flag complate time for the mail message.
    `void` | `setFlagIcon(FlagIcon flagIcon)` Sets the flag staicontus for the mail message.
    `void` | `setFlagRequest(java.lang.String flagRequest)` Sets the requested action for an e-mail message.
    `void` | `setFlagStatus(FlagStatus flagStatus)` Sets the flag status for the mail message.
    `void` | `setFrom(Mailbox from)` Sets the addressee from whom the message was sent.
    `void` | `setHideAttachments(boolean hideAttachments)` Sets the hide attachments.
    `void` | `setInReplyTo(java.lang.String inReplyTo)` Sets the identifier of the item to which this item is a reply.
    `void` | `setRead(boolean isRead)` Sets whether a message has been read.
    `void` | `setReadReceiptRequested(boolean isReadReceiptRequested)` Sets whether the sender of an item requests a read receipt.
    `void` | `setReferences(java.lang.String references)` Sets the delegate in a delegate access scenario.
    `void` | `setResponseRequested(boolean isResponseRequested)` Sets whether a response to an e-mail message is requested.
    `void` | `setSender(Mailbox sender)` Sets the sender of an item.
    `void` | `setStartDate(java.util.Date startDate)` Gets the start date of a recurrence range.
    `void` | `setVotingOptions(java.util.List<java.lang.String> votingOptions)` Sets a delimited string containing the voting options for the mail message.
    `void` | `setVotingResponse(java.lang.String votingResponse)` Sets the voting response for the mail message.
    `java.lang.String` | `toString()` Converts the value of the current Message object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

      Initializes a new instance of the Message class.

    - #### Message

          public Message(java.lang.String subject)

      Initializes a new instance of the Message class.
      Parameters:
        `subject` - the subject

    - #### Message

          public Message(MimeContent mimeContent)

      Initializes a new instance of the Message class.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Message object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getReceivedTime

          public java.util.Date getReceivedTime()

      Gets the date and time that an item in a mailbox was received.
      Returns:
        the received time

    - #### getInReplyTo

          public java.lang.String getInReplyTo()

      Gets the identifier of the item to which this item is a reply.
      Returns:
        the in reply to

    - #### setInReplyTo

          public void setInReplyTo(java.lang.String inReplyTo)

      Sets the identifier of the item to which this item is a reply.
      Parameters:
        `inReplyTo` - the new in reply to

    - #### isSubmitted

          public boolean isSubmitted()

      Gets whether an item has been submitted to the Outbox default folder.
      Returns:
        true, if is submitted

    - #### isDraft

          public boolean isDraft()

      Gets whether an item has not yet been sent.
      Returns:
        true, if is draft

    - #### isFromMe

          public boolean isFromMe()

      Gets whether a user sent an item to him or herself.
      Returns:
        true, if is from me

    - #### isResend

          public boolean isResend()

      Gets whether the item had previously been sent.
      Returns:
        true, if is resend

    - #### isUnmodified

          public boolean isUnmodified()

      Gets whether the item has been modified.
      Returns:
        true, if is unmodified

    - #### getInternetMessageHeaders

          public java.util.List<InternetMessageHeader> getInternetMessageHeaders()

      Gets the collection of all Internet message headers that are contained within an item in a mailbox.
      Returns:
        the internet message headers

    - #### getSentTime

          public java.util.Date getSentTime()

      Gets the date and time that an item in a mailbox was sent.
      Returns:
        the sent time

    - #### getResponseItems

          public java.util.List<ResponseItem> getResponseItems()

      Gets a collection of all the response objects that are associated with an item in the Exchange store.
      Returns:
        the response items

    - #### getDisplayCc

          public java.lang.String getDisplayCc()

      Gets the display string that is used for the contents of the CC line.
      Returns:
        the display cc

    - #### getDisplayTo

          public java.lang.String getDisplayTo()

      Gets the display string that is used for the contents of the To box.
      Returns:
        the display to

    - #### getSender

          public Mailbox getSender()

      Gets the sender of an item.
      Returns:
        the sender

    - #### setSender

          public void setSender(Mailbox sender)

      Sets the sender of an item.
      Parameters:
        `sender` - the new sender

    - #### getToRecipients

          public java.util.List<Mailbox> getToRecipients()

      Gets a set of recipients of a message.
      Returns:
        the to recipients

    - #### getCcRecipients

          public java.util.List<Mailbox> getCcRecipients()

      Gets a collection of recipients that will receive a copy of the message.
      Returns:
        the cc recipients

    - #### getBccRecipients

          public java.util.List<Mailbox> getBccRecipients()

      Gets a collection of recipients to receive a blind carbon copy (Bcc) of an e-mail message.
      Returns:
        the bcc recipients

    - #### isReadReceiptRequested

          public boolean isReadReceiptRequested()

      Gets whether the sender of an item requests a read receipt.
      Returns:
        true, if is read receipt requested

    - #### setReadReceiptRequested

          public void setReadReceiptRequested(boolean isReadReceiptRequested)

      Sets whether the sender of an item requests a read receipt.
      Parameters:
        `isReadReceiptRequested` - the new read receipt requested

    - #### isDeliveryReceiptRequested

          public boolean isDeliveryReceiptRequested()

      Gets whether the sender of an item requests a delivery receipt.
      Returns:
        true, if is delivery receipt requested

    - #### setDeliveryReceiptRequested

          public void setDeliveryReceiptRequested(boolean isDeliveryReceiptRequested)

      Sets whether the sender of an item requests a delivery receipt.
      Parameters:
        `isDeliveryReceiptRequested` - the new delivery receipt requested

    - #### getConversationIndex

          public java.lang.String getConversationIndex()

      Gets a binary ID that represents the thread to which this message belongs.
      Returns:
        the conversation index

    - #### getConversationTopic

          public java.lang.String getConversationTopic()

      Gets the conversation identifier.
      Returns:
        the conversation topic

    - #### getFrom

          public Mailbox getFrom()

      Gets the addressee from whom the message was sent.
      Returns:
        the from

    - #### setFrom

          public void setFrom(Mailbox from)

      Sets the addressee from whom the message was sent.
      Parameters:
        `from` - the new from

    - #### getInternetMessageId

          public java.lang.String getInternetMessageId()

      Gets the Internet message identifier of an item.
      Returns:
        the internet message id

    - #### isRead

          public boolean isRead()

      Gets whether a message has been read.
      Returns:
        true, if is read

    - #### setRead

          public void setRead(boolean isRead)

      Sets whether a message has been read.
      Parameters:
        `isRead` - the new read

    - #### isResponseRequested

          public boolean isResponseRequested()

      Gets whether a response to an e-mail message is requested.
      Returns:
        true, if is response requested

    - #### setResponseRequested

          public void setResponseRequested(boolean isResponseRequested)

      Sets whether a response to an e-mail message is requested.
      Parameters:
        `isResponseRequested` - the new response requested

    - #### getReferences

          public java.lang.String getReferences()

      Gets the delegate in a delegate access scenario.
      Returns:
        the references

    - #### setReferences

          public void setReferences(java.lang.String references)

      Sets the delegate in a delegate access scenario.
      Parameters:
        `references` - the new references

    - #### getReplyTo

          public java.util.List<Mailbox> getReplyTo()

      Gets a set of addresses to which replies should be sent.
      Returns:
        the reply to

    - #### getLastVerbExecuted

          public LastVerbExecuted getLastVerbExecuted()

      Gets the last action, such as reply or forward, that was taken on the message so that the client can display the appropriate icon.
      Returns:
        the last verb executed

    - #### getInReplyToId

          public java.lang.String getInReplyToId()

      Gets the message id of the message for which this message is a reply.
      Returns:
        the in reply to id

    - #### getFlagStatus

          public FlagStatus getFlagStatus()

      Gets the flag status for the mail message.
      Returns:
        the flag status

    - #### setFlagStatus

          public void setFlagStatus(FlagStatus flagStatus)

      Sets the flag status for the mail message.
      Parameters:
        `flagStatus` - the new flag status

    - #### getFlagIcon

          public FlagIcon getFlagIcon()

      Gets the flag icon for the mail message.
      Returns:
        the flag icon

    - #### setFlagIcon

          public void setFlagIcon(FlagIcon flagIcon)

      Sets the flag staicontus for the mail message.
      Parameters:
        `flagIcon` - the new flag icon

    - #### getFlagCompleteTime

          public java.util.Date getFlagCompleteTime()

      Gets the flag complete time for the mail message.
      Returns:
        the flag complete time

    - #### setFlagCompleteTime

          public void setFlagCompleteTime(java.util.Date flagCompleteTime)

      Sets the flag complate time for the mail message.
      Parameters:
        `flagCompleteTime` - the new flag complete time

    - #### getFlagRequest

          public java.lang.String getFlagRequest()

      Gets the requested action for an e-mail message.
      Returns:
        the flag request

    - #### setFlagRequest

          public void setFlagRequest(java.lang.String flagRequest)

      Sets the requested action for an e-mail message.
      Parameters:
        `flagRequest` - the new flag request

    - #### getHideAttachments

          public boolean getHideAttachments()

      Gets the hide attachments.
      Returns:
        the hide attachments

    - #### setHideAttachments

          public void setHideAttachments(boolean hideAttachments)

      Sets the hide attachments.
      Parameters:
        `hideAttachments` - the new hide attachments

    - #### getVotingOptions

          public java.util.List<java.lang.String> getVotingOptions()

      Gets a delimited string containing the voting options for the mail message.
      Returns:
        the voting options

    - #### setVotingOptions

          public void setVotingOptions(java.util.List<java.lang.String> votingOptions)

      Sets a delimited string containing the voting options for the mail message.
      Parameters:
        `votingOptions` - the new voting options

    - #### getVotingResponse

          public java.lang.String getVotingResponse()

      Gets the voting response for the mail message.
      Returns:
        the voting response

    - #### setVotingResponse

          public void setVotingResponse(java.lang.String votingResponse)

      Sets the voting response for the mail message.
      Parameters:
        `votingResponse` - the new voting response

    - #### getDeferredDeliveryTime

          public java.util.Date getDeferredDeliveryTime()

      Gets the date and time the mail message is to be delivered.
      Returns:
        the deferred delivery time

    - #### setDeferredDeliveryTime

          public void setDeferredDeliveryTime(java.util.Date deferredDeliveryTime)

      Sets the date and time the mail message is to be delivered.
      Parameters:
        `deferredDeliveryTime` - the new deferred delivery time

    - #### getDeferredSendTime

          public java.util.Date getDeferredSendTime()

      Gets the deferred send time.
      Returns:
        the deferred send time

    - #### setDeferredSendTime

          public void setDeferredSendTime(java.util.Date deferredSendTime)

      Sets the deferred send time.
      Parameters:
        `deferredSendTime` - the new deferred send time

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date.
      Returns:
        the start date

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Gets the start date of a recurrence range.
      Parameters:
        `startDate` - the new start date

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the date and time when the event occurs.
      Returns:
        the due date

    - #### setDueDate

          public void setDueDate(java.util.Date dueDate)

      Sets the date and time when the event occurs.
      Parameters:
        `dueDate` - the new due date

    - #### getMessageFlags

          public java.util.List<MessageFlag> getMessageFlags()

      Gets a bitmask of flags indicating the origin and current state of a message.
      Returns:
        the message flags

    - #### getReceivedBy

          public Mailbox getReceivedBy()

      Gets the delegate in a delegate access scenario.
      Returns:
        the received by

    - #### getReceivedRepresenting

          public Mailbox getReceivedRepresenting()

      Gets the principal in a delegate access scenario.
      Returns:
        the received representing